%define lksctp_version 1.0.2

%define file_version %{lksctp_version}

Summary: User-space access to Linux Kernel SCTP
Name: lksctp-tools
Version: 1.0.2
Release: 7.art
License: LGPL
Group: System Environment/Libraries
URL: http://lksctp.sourceforge.net
Source0: %{name}-%{file_version}.tar.gz
Patch0 : lksctp-tools-1.0.2-syntax.patch
Patch1 : lksctp-tools-1.0.2-abi.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc
#BuildRequires: tetex, tetex-latex, tetex-xdvi, tetex-dvips
#BuildRequires: ghostscript, enscript
BuildRequires: libtool, automake, autoconf
#Conflicts: kernel >= 2.6.10

%description
This is the lksctp-tools package for Linux Kernel SCTP Reference
Implementation.

This package is intended to supplement the Linux Kernel SCTP Reference
Implementation now available in the Linux kernel source tree in
versions 2.5.36 and following.  For more information on LKSCTP see the
package documentation README file, section titled "LKSCTP - Linux
Kernel SCTP."

This package contains the base run-time library & command-line tools.

%package devel
Summary: Development kit for lksctp-tools
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: glibc-devel

%description devel
Development kit for lksctp-tools

- Man pages
- Header files
- Static libraries
- Symlinks to dynamic libraries
- Tutorial source code

%package doc
Summary: Documents pertaining to SCTP
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description doc
Documents pertaining to LKSCTP & SCTP in general
- IETF RFC's & Internet Drafts

%prep
%setup -q -n %{name}-%{file_version}
%patch0 -p1
%patch1 -p1

%build
%configure --enable-shared --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog COPYING.lib README
%{_bindir}/*
%{_libdir}/libsctp.so.*
%{_libdir}/lksctp-tools/*

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/libsctp.so
%{_libdir}/libsctp.a
%{_libdir}/libsctp.la
%{_datadir}/lksctp-tools/*
%{_mandir}/*

%files doc
%defattr(-,root,root,-)
%doc doc/*.txt

%changelog
* Mon Dec 11 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 
- fix for ASL integration 

* Thu Jul 21 2005 Karsten Hopp <karsten@redhat.de> 1.0.2-6.4E.1 
- rebuild for U2

* Tue Feb 22 2005 Karsten Hopp <karsten@redhat.de> 1.0.2-5.4E.1 
- change sctp_assoc_t back to void* for kernel < 2.6.10 to avoid
  ABI breakage

* Mon Feb 07 2005 Karsten Hopp <karsten@redhat.de> 1.0.2-4
- initialize variable before use
- fix subscript out of range bug (#147286)

* Mon Jan 24 2005 Karsten Hopp <karsten@redhat.de> 1.0.2-3
- build for FC

* Mon Jan 24 2005 Karsten Hopp <karsten@redhat.de> 1.0.2-2.40E.1
- initial RH version based on sourceforge rpm

* Thu Dec 30 2004 Sridhar Samudrala <sri@us.ibm.com> 1.0.2-1
- 1.0.2 Release
 
* Tue May 11 2004 Sridhar Samudrala <sri@us.ibm.com> 1.0.1-1
- 1.0.1 Release
 
* Thu Feb 26 2004 Sridhar Samudrala <sri@us.ibm.com> 1.0.0-1
- 1.0.0 Release
 
* Fri Feb  6 2004 Francois-Xavier Kowalski <francois-xavier.kowalski@hp.com> 0.9.0-1
- package only .txt doc files

* Wed Feb  4 2004 Francois-Xavier Kowalski <francois-xavier.kowalski@hp.com> 0.7.5-1
- badly placed & undelivered files
- simplified delivery list

* Tue Jan 27 2004 Francois-Xavier Kowalski <francois-xavier.kowalski@hp.com> 0.7.5-1
- Integrate comment from project team

* Sat Jan 10 2004 Francois-Xavier Kowalski <francois-xavier.kowalski@hp.com> 2.6.0_test7_0.7.4-1
- Creation
